Bug 118709 - Can't upgrade to kdenetwork 3.2.1-2
Summary: Can't upgrade to kdenetwork 3.2.1-2
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdenetwork (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC2Blocker
TreeView+ depends on / blocked
 
Reported: 2004-03-19 11:12 UTC by Markku Kolkka
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-22 16:25:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Markku Kolkka 2004-03-19 11:12:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
Upgrading to kdenetwork 3.2.1-2 fails because of dependencies:
# rpm -Fvh kdenetwork-*.rpm
/etc/security/selinux/file_contexts: Tiedostoa tai hakemistoa ei ole
virhe: Failed dependencies:
        libkabinterfaces.so.1 is needed by (installed) kdeaddons-3.2.1-1
        libkdepim.so.1 is needed by (installed) kdeaddons-3.2.1-1
        libkpinterfaces.so.1 is needed by (installed) kdeaddons-3.2.1-1

All the listed files exist, they are symbolic links pointing to files
from kdepim-3.2.1-2

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -Fvh kdenetwork-3.2.1-2.rpm kdenetwork-devel-3.2.1-2.rpm
2.
3.
    

Actual Results:  Failure because of dependencies between kdeaddons and
kdepim (?)

Expected Results:  Succesful upgrade

Additional info:

FC2test1 with all other packages updated to latest development versions.

Comment 1 Ngo Than 2004-03-22 14:25:41 UTC
it's strange, i can update kdenetwork without this problem here.

could you please try with rpm -Uvh kdenetwork* kdepim*? does this fix
the problem?

Comment 2 Markku Kolkka 2004-03-22 14:49:37 UTC
I already have the latest kdepim (3.2.1-2) installed:
# rpm -Uvh kdenetwork* kdepim*
/etc/security/selinux/file_contexts: Tiedostoa tai hakemistoa ei ole
Preparing...               
########################################### [100%]
        package kdepim-3.2.1-2 is already installed

Other people are seeing this problem as well, see posting in newsgroup
linux.redhat: news:zLo7c.21292$VV1.19816@nwrddc01.gnilink.net

Comment 3 Ngo Than 2004-03-22 16:25:38 UTC
i have found the bug in kdepim that causes this problem. It's fixed
now in kdepim-3.2.1-4.


Note You need to log in before you can comment on or make changes to this bug.